﻿using Demo.Domain.UseCase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo.UI
{
    public class MainMenuUI
    {
        private UserConsoleUI _userConsoleUI;

        public MainMenuUI(UserUseCase userUseCase)
        {
            _userConsoleUI = new UserConsoleUI(userUseCase);
            DisplayMenu();
        }

        private void DisplayMenu()
        {
            while (true)
            {
                Console.Clear();
                Console.WriteLine("Главное меню:");
                Console.WriteLine("1. Показать всех пользователей");
                Console.WriteLine("2. Удалить пользователя по GUID");
                Console.WriteLine("0. Выход");

                string choice = Console.ReadLine();

                switch (choice)
                {
                    case "1":
                        _userConsoleUI.DisplayAllUsers();
                        break;
                    case "2":
                        RemoveUser();
                        break;
                    case "0":
                        return;
                    default:
                        Console.WriteLine("Неверный выбор, попробуйте снова.");
                        break;
                }

                Console.WriteLine("Нажмите любую клавишу для продолжения...");
                Console.ReadKey();
            }
        }

        private void RemoveUser()
        {
            Console.Write("Введите GUID пользователя для удаления: ");
            string input = Console.ReadLine();

            if (Guid.TryParse(input, out Guid userGuid))
            {
                _userConsoleUI.RemoveUserByGuid(userGuid);
            }
            else
            {
                Console.WriteLine("Неверный формат GUID. Пожалуйста, попробуйте еще раз.");
            }
        }
    }
}