﻿using Demo.domain.Models;
using Demo.Domain.UseCase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo.UI
{

    public class UserConsoleUI
    {
        UserUseCase _userUseCase;
        public UserConsoleUI(UserUseCase userUseCase)
        {
            _userUseCase = userUseCase;
        }

        public void RemoveUserByGuid(Guid guidUser)
        {

            string del = _userUseCase.RemoveUserByGuid(guidUser) ? "Пользователь удален" : "Пользователь не удален";
            Console.WriteLine(del);
        }

        public void DisplayAllUsers()
        {
            StringBuilder userOutput = new StringBuilder();
            foreach (var user in _userUseCase.GetAllUsers())
            {
                userOutput.AppendLine($"{user.Guid}\t{user.FIO}\t{user.Group.Name}");
            }
            Console.WriteLine(userOutput);
        }

        public void UpdateUserGuid(Guid guidUser)
        {
            var user = _userUseCase.FindUserByGuid(guidUser);
            Console.WriteLine($"Текущие данные: {user.FIO}, {user.Group.Name}");
            Console.Write("Введите новое ФИО: ");
            string newFIO = Console.ReadLine();
            user.FIO = newFIO;
            _userUseCase.UpdateUser(user);
        }

        public void GetUserByGuid(Guid guidUser)
        {
            var user = _userUseCase.FindUserByGuid(guidUser);
            Console.WriteLine($"Пользователь найден: {user.Guid}, {user.FIO}, {user.Group.Name}");
        }
    }
}